Subject: bug#33779: Wrong lib-list in install-%DIR%LTLIBRARIES

From: Mike Frysinger <[email-masked]>
Date: Fri, 13 Jan 2023 05:57:15 +0000 (UTC)

On Mon, 17 Dec 2018 20:11:48 +0100, Bert Wesarg wrote:
> looking at lib/am/ltlib.am, the rule for installing libraries looks
> weird for the !LIBTOOL case. Though I have the impression that this
> file should not be used at all, if libtool is not used. Nevertheless,
> the install command in this cases uses the $list variable, not the
> sanitized $list2 variable. A simple patch looks like:

i agree it looks funky.  do you have an example of where this fails ?
how did you discover the bug ?  we'd want to write a test for it so we
can be sure it doesn't fail again.
-mike